{% extends 'base.html' %}

{% block title %}WICC Admin Panel{% endblock %}

{% block content %}
 
{% if messages %}
    {% for message in messages %}
    {{ message.tag }}
        <div class="alert alert-{{ message.tags }}" role="alert">
            {{ message }}
      </div>
    {% endfor %}
{% endif %}


<div class="mt-1">
    <a  href="{% url 'create' %}" class="btn btn-primary mx-3">Add Book</a>
    <a href="{% url 'sale_book' %}" class="btn btn-info">Sell Book</a>
</div>

<p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="my-2">All Books</p>
<div class="scrollable table-responsive" style="height:315px;">  
    <table class="table table-striped text-center"> 
        <thead>
            <tr>
            <th scope="col">S.N</th>
            <th scope="col">Title</th>
            <th scope="col">Author</th>
            <th scope="col">Category</th>
            <th scope="col">Price</th>
            <th scope="col">Description</th>
            <th scope="col">Quantity</th>
            <th scope="col">Added_Date</th>
            </tr>
        </thead>
        <tbody>
            {% for book in book_list %}
            <tr>
                <th scope="row">{{forloop.counter}}</th>
                <td>{{book.title}}</td>
                <td>{{book.author}}</td>
                <td>{{book.category}}</td>
                <td>Rs.{{book.price}}</td>
                <td>{{book.description|truncatechars:100}}</td>
                <td>{{book.quantity}}</td>
                <td>{{book.added_date}}</td>
            </tr> 
            {% endfor %}
        </tbody>
    </table>
</div>


<p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="my-2">Sold Books Record</p>
<div class="scrollable table-responsive" style="height:315px;">  
    <table class="table table-striped text-center"> 
        <thead >
            <tr>
            <th scope="col">S.N</th>
            <th scope="col">Book Title</th>  
            <th scope="col">Sold Quantity</th> 
            <th scope="col">Total Amount</th>
            <th scope="col">Sold_Date</th>
            </tr>
        </thead>
        <tbody>
            {% for record in sold_record_list %}
            <tr>
                <th scope="row">{{forloop.counter}}</th>
                <td>{{record.book}}</td> 
                <td>{{record.sold_quantity}}</td>
                <td>Rs.{{record.total_amount}}</td>
                <td>{{record.sold_date}}</td>  
            </tr> 
            {% endfor %}
        </tbody>
    </table>
</div>

{% endblock %}